Subject: [SWIPL] Looking for a way to record a variables reference

From: "Douglas R. Miles" <[email-masked]>
Date: Sun, 24 Feb 2002 03:32:24 -0800

Hi,

I am looking for a way to record a variable's reference.. 
For example the way block/3 allows a variable to be used as a 'key'.

I could term_to_atom/2 a varable and gets its '_G325' 
and use that.. But I am trying to find a 

variable_reference(-Var,+VarRefInteger)  
	and perhaps even make an unsafe 
	  variable_reference(?Var,?Integer)

Should is start by ussing valTermRef(vt) ?

Is there any way to go the other way arround?
Just how quickly do things change?

I'd liketo attach  a disjuntive set of arbitrary properties to be put on a
variable.
recorda(VarRefInteger,isa(human))
recorda(VarRefInteger,isa(animal))

What would be the complications of allowing a variable to work as a 'Key' in
flags/3 and record*/N

I would see problems trying to access then back with current_flags/1 and
current_key/1.

But what if there was a '$variable' wrap of some sort or an alternate form
of access?

Thank you, Douglas